include_directories(.)
include_directories(../../driver/stddriver/inc)
include_directories(../../driver/cmsis/inc)

file(GLOB FILELIST
device.c
user_misc.c
ltc1867.c
filter.c
concentration.c
ltc2640.c
ms5611.c
rs485.c
modbus.c
adc.c
cali.c
cali_flash.c
)

add_library(src STATIC ${FILELIST})
target_link_libraries(src driver)
